Skip to main content
`Ctrl`+`K`

# TaoGetIterationNumber

Gets the number of `TaoSolve()` iterations completed at this time.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetIterationNumber(Tao tao, PetscInt *iter)

Not Collective

## Input Parameter

- tao - the `Tao` context

## Output Parameter

- iter - iteration number

## Notes

For example, during the computation of iteration 2 this would return 1.

## See Also

TAO: Optimization Solvers, `Tao`, `TaoGetLinearSolveIterations()`, `TaoGetResidualNorm()`, `TaoGetObjective()`

## Level

intermediate

## Location

src/tao/interface/taosolver.c

## Examples

src/tao/unconstrained/tutorials/rosenbrock3.c
src/tao/unconstrained/tutorials/spectraladjointassimilation.c
src/tao/unconstrained/tutorials/rosenbrock2.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages